package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcBanner;
import org.dromara.system.domain.vo.TblDzbcBannerVo;
import org.dromara.system.domain.bo.TblDzbcBannerBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-小程序bannerService接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcBannerService {

    /**
     * 查询定制班车-小程序banner
     */
    TblDzbcBannerVo queryById(Long id);

    /**
     * 查询定制班车-小程序banner列表
     */
    TableDataInfo<TblDzbcBannerVo> queryPageList(TblDzbcBannerBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-小程序banner列表
     */
    List<TblDzbcBannerVo> queryList(TblDzbcBannerBo bo);

    /**
     * 新增定制班车-小程序banner
     */
    Boolean insertByBo(TblDzbcBannerBo bo);

    /**
     * 修改定制班车-小程序banner
     */
    Boolean updateByBo(TblDzbcBannerBo bo);

    /**
     * 校验并批量删除定制班车-小程序banner信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
